Skip to main content
PUT
/
v1
/
click2pay
/
VISA
/
update
/
card
/
{cardId}
Update Card by Card ID in C2Pay
curl --request PUT \
  --url 'https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/wallet/v1/click2pay/VISA/update/card/{cardId}' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "customerBID": "123456",
  "cardOverrides": {
    "addressLine1": "1000 Market Street",
    "addressLine2": "Building 56",
    "city": "San Francisco",
    "postalCode": "94105",
    "country": "USA"
  }
}
'
{
  "requestTraceId": "351562ba-83cf-11ee-b962-0242ac120002"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

cardId
string<biginteger>
required

The card id of which card you want to update.

Query Parameters

auditUser
string
required

The audit user to log the request.

Body

application/json
customerBID
string
required

Unique identifier assigned to each issuer. Note: If you are using our BIN sponsorship, we provide you the customerBID; else, Visa provides you the customerBID.

Example:

"123456"

cardOverrides
object

Card overrides are used to provide Visa-compliant billing address fields specifically for the Click to Pay request. Any fields present in cardOverrides override the corresponding billing address values sent to Visa for that request. Any omitted fields fall back to the existing stored cardholder data.

Example:
{
"addressLine1": "1000 Market Street",
"addressLine2": "Building 56",
"city": "San Francisco",
"postalCode": "94105",
"country": "USA"
}

Response

Accepted

requestTraceId
string<uuid>
required

Unique identifier of the request

Required string length: 36
Example:

"351562ba-83cf-11ee-b962-0242ac120002"